org.apache.coyote.http11

## Class AbstractHttp11Protocol<S>

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>

- All Implemented Interfaces:
    MBeanRegistration, ProtocolHandler
  Direct Known Subclasses:
    AbstractHttp11JsseProtocol, Http11AprProtocol

      public abstract class AbstractHttp11Protocol<S>
      extends AbstractProtocol<S>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.AbstractConnectionHandler<S,P extends Processor<S>>, AbstractProtocol.RecycledProcessors<P extends Processor<S>,S>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm` The string manager for this package.

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, clientCertProvider, domain, endpoint, mserver, oname, processorCache, rgOname, tpOname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHttp11Protocol()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllowedTrailerHeader(String header)`
    `String` | `getAllowedTrailerHeaders()`
    `protected Set<String>` | `getAllowedTrailerHeadersAsSet()`
    `String` | `getCompressableMimeType()`
    `String` | `getCompressableMimeTypes()`
    `String` | `getCompression()`
    `int` | `getCompressionMinSize()`
    `int` | `getConnectionUploadTimeout()`
    `boolean` | `getDisableUploadTimeout()`
    `int` | `getMaxExtensionSize()`
    `int` | `getMaxHttpHeaderSize()`
    `int` | `getMaxKeepAliveRequests()` Maximum number of requests which can be performed over a keepalive connection.
    `int` | `getMaxSavePostSize()`
    `int` | `getMaxSwallowSize()`
    `int` | `getMaxTrailerSize()`
    `String` | `getNoCompressionUserAgents()`
    `protected String` | `getProtocolName()` Obtain the name of the protocol, (Http, Ajp, etc.).
    `String` | `getRestrictedUserAgents()`
    `boolean` | `getSecure()`
    `String` | `getServer()`
    `int` | `getSocketBuffer()`
    `int` | `getUpgradeAsyncWriteBufferSize()`
    `boolean` | `isSSLEnabled()`
    `void` | `removeAllowedTrailerHeader(String header)`
    `void` | `setAllowedTrailerHeaders(String commaSeparatedHeaders)`
    `void` | `setCompressableMimeType(String valueS)`
    `void` | `setCompressableMimeTypes(String valueS)`
    `void` | `setCompression(String valueS)`
    `void` | `setCompressionMinSize(int valueI)`
    `void` | `setConnectionUploadTimeout(int i)`
    `void` | `setDisableUploadTimeout(boolean isDisabled)`
    `void` | `setMaxExtensionSize(int maxExtensionSize)`
    `void` | `setMaxHttpHeaderSize(int valueI)`
    `void` | `setMaxKeepAliveRequests(int mkar)`
    `void` | `setMaxSavePostSize(int valueI)`
    `void` | `setMaxSwallowSize(int maxSwallowSize)`
    `void` | `setMaxTrailerSize(int maxTrailerSize)`
    `void` | `setNoCompressionUserAgents(String valueS)`
    `void` | `setRestrictedUserAgents(String valueS)`
    `void` | `setSecure(boolean b)`
    `void` | `setServer(String server)`
    `void` | `setSocketBuffer(int socketBuffer)`
    `void` | `setSSLEnabled(boolean SSLEnabled)`
    `void` | `setUpgradeAsyncWriteBufferSize(int upgradeAsyncWriteBufferSize)`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `destroy, getAdapter, getAddress, getBacklog, getClientCertProvider, getConnectionCount, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getProcessorCache, getProperty, getSoLinger, getSoTimeout, getTcpNoDelay, getThreadPriority, init, isAprRequired, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setAdapter, setAddress, setBacklog, setClientCertProvider, setConnectionTimeout, setExecutor, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setProcessorCache, setProperty, setSoLinger, setSoTimeout, setTcpNoDelay, setThreadPriority, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      The string manager for this package.

  - ### Constructor Detail

    - #### AbstractHttp11Protocol

          public AbstractHttp11Protocol()

  - ### Method Detail

    - #### getProtocolName

          protected String getProtocolName()

      Description copied from class: `AbstractProtocol`
      Obtain the name of the protocol, (Http, Ajp, etc.). Used with JMX.
      Specified by:
        `getProtocolName` in class `AbstractProtocol<S>`

    - #### getSocketBuffer

          public int getSocketBuffer()

    - #### setSocketBuffer

          public void setSocketBuffer(int socketBuffer)

    - #### getMaxSavePostSize

          public int getMaxSavePostSize()

    - #### setMaxSavePostSize

          public void setMaxSavePostSize(int valueI)

    - #### getMaxHttpHeaderSize

          public int getMaxHttpHeaderSize()

    - #### setMaxHttpHeaderSize

          public void setMaxHttpHeaderSize(int valueI)

    - #### getConnectionUploadTimeout

          public int getConnectionUploadTimeout()

    - #### setConnectionUploadTimeout

          public void setConnectionUploadTimeout(int i)

    - #### getDisableUploadTimeout

          public boolean getDisableUploadTimeout()

    - #### setDisableUploadTimeout

          public void setDisableUploadTimeout(boolean isDisabled)

    - #### getCompression

          public String getCompression()

    - #### setCompression

          public void setCompression(String valueS)

    - #### getNoCompressionUserAgents

          public String getNoCompressionUserAgents()

    - #### setNoCompressionUserAgents

          public void setNoCompressionUserAgents(String valueS)

    - #### getCompressableMimeType

          public String getCompressableMimeType()

    - #### setCompressableMimeType

          public void setCompressableMimeType(String valueS)

    - #### getCompressableMimeTypes

          public String getCompressableMimeTypes()

    - #### setCompressableMimeTypes

          public void setCompressableMimeTypes(String valueS)

    - #### getCompressionMinSize

          public int getCompressionMinSize()

    - #### setCompressionMinSize

          public void setCompressionMinSize(int valueI)

    - #### getRestrictedUserAgents

          public String getRestrictedUserAgents()

    - #### setRestrictedUserAgents

          public void setRestrictedUserAgents(String valueS)

    - #### getServer

          public String getServer()

    - #### setServer

          public void setServer(String server)

    - #### getMaxTrailerSize

          public int getMaxTrailerSize()

    - #### setMaxTrailerSize

          public void setMaxTrailerSize(int maxTrailerSize)

    - #### getMaxExtensionSize

          public int getMaxExtensionSize()

    - #### setMaxExtensionSize

          public void setMaxExtensionSize(int maxExtensionSize)

    - #### getMaxSwallowSize

          public int getMaxSwallowSize()

    - #### setMaxSwallowSize

          public void setMaxSwallowSize(int maxSwallowSize)

    - #### getSecure

          public boolean getSecure()

    - #### setSecure

          public void setSecure(boolean b)

    - #### getUpgradeAsyncWriteBufferSize

          public int getUpgradeAsyncWriteBufferSize()

    - #### setUpgradeAsyncWriteBufferSize

          public void setUpgradeAsyncWriteBufferSize(int upgradeAsyncWriteBufferSize)

    - #### setAllowedTrailerHeaders

          public void setAllowedTrailerHeaders(String commaSeparatedHeaders)

    - #### getAllowedTrailerHeaders

          public String getAllowedTrailerHeaders()

    - #### addAllowedTrailerHeader

          public void addAllowedTrailerHeader(String header)

    - #### removeAllowedTrailerHeader

          public void removeAllowedTrailerHeader(String header)

    - #### getAllowedTrailerHeadersAsSet

          protected Set<String> getAllowedTrailerHeadersAsSet()

    - #### isSSLEnabled

          public boolean isSSLEnabled()

    - #### setSSLEnabled

          public void setSSLEnabled(boolean SSLEnabled)

    - #### getMaxKeepAliveRequests

          public int getMaxKeepAliveRequests()

      Maximum number of requests which can be performed over a keepalive connection. The default is the same as for Apache HTTP Server.

    - #### setMaxKeepAliveRequests

          public void setMaxKeepAliveRequests(int mkar)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.